#Module-Specific definitions
%define mod_version 0.3
%define release 1mdk
%define mod_name mod_tidy
%define mod_conf 31_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_tidy is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
License:	Public Domain
#License:	W3C license?
URL:		http://home.snafu.de/tusk/mod_tidy/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper
BuildRequires:	tidy-devel
#Requires:	libtidy0

%description
mod_tidy validates the HTML output of your %{ap_name} webserver.
So you don't need a separate application to check your HTML. It
works as a filter that hooks up to HTML output. mod_tidy feeds 
the HTML output to TidyLib (http://tidy.sourceforge.net/) which
validates the HTML output. If TidyLib finds an error the client
receives a HTML page with a list of all found errors. If TidyLib
doesn't complain you will get your HTML data as without mod_tidy.

%prep

%setup -q -n %{sourcename}

# fix starnge perms
chmod 644 README

%build
 
%{apxs} -ltidy -c src/%{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# fix %%ADVXinstlib compat
cp -rp src/.libs .

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.3-1mdk
- built for apache 2.0.48

* Sun Sep 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.3-1mdk
- 0.3
- drop P0, it's included
- fix invalid-build-requires
- fix explicit-lib-dependency

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.2-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_0.2-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue May 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_0.2-1mdk
- initial cooker contrib
- added P0
